curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints/{checkpoint_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [
"string"
],
"hidden_dims": [
1
],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}
Get checkpoint details
Required scope: read
GET
/
api
/
v1
/
model
/
checkpoints
/
{checkpoint_id}
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints/{checkpoint_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [
"string"
],
"hidden_dims": [
1
],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}
Required scope:
read
Path parameters
Response
ModelCheckpoint
Status codes
| Code | Meaning |
|---|---|
200 | Checkpoint details |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Checkpoint not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints/{checkpoint_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [
"string"
],
"hidden_dims": [
1
],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}
Last modified on August 31, 2026